summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorTim Harder <radhermit@gentoo.org>2018-12-13 00:54:12 -0600
committerTim Harder <radhermit@gentoo.org>2018-12-13 00:54:12 -0600
commit4f8d49704bcf26b11231bcfe6bcd97b638c3b31e (patch)
tree2205660c72fdacc02147e46d2ee0da2fd944a94d /net-fs/s3ql
parentdev-python/apsw: remove old (diff)
downloadgentoo-4f8d49704bcf26b11231bcfe6bcd97b638c3b31e.tar.gz
gentoo-4f8d49704bcf26b11231bcfe6bcd97b638c3b31e.tar.bz2
gentoo-4f8d49704bcf26b11231bcfe6bcd97b638c3b31e.zip
net-fs/s3ql: version bump to 2.32
Signed-off-by: Tim Harder <radhermit@gentoo.org>
Diffstat (limited to 'net-fs/s3ql')
-rw-r--r--net-fs/s3ql/Manifest1
-rw-r--r--net-fs/s3ql/s3ql-2.32.ebuild55
2 files changed, 56 insertions, 0 deletions
diff --git a/net-fs/s3ql/Manifest b/net-fs/s3ql/Manifest
index 32055e6daeb..f59f1f622fa 100644
--- a/net-fs/s3ql/Manifest
+++ b/net-fs/s3ql/Manifest
@@ -2,3 +2,4 @@ DIST s3ql-2.24.tar.bz2 773766 BLAKE2B e780bc7d3376241d9b04ba0b09b064050f1ecaf22a
DIST s3ql-2.25.tar.bz2 770189 BLAKE2B d0d3c7656f93b7bdac97ab7b9afdb6b53c6e909a5fd4e5a1cf9e5c153d81349dfb809409f79ec45768297e7c7eb89a590338cb9726b2eda51b3ca02734fa1001 SHA512 e2aa9f5d68a00b36ae33a7d36bf4aa42f761fb7e2cfb8370c914a78d0ed54edab85dd224fa7ef08e9e240161f5c66e46c0cbe99b6c5451cab3a50f33c78bde36
DIST s3ql-2.26.tar.bz2 775435 BLAKE2B e30d0108522e3bca2e3e16138c418af553d4a0cb502671b70dee689be2795c02bc4fb47a2aa5d225a1ad748c7fadc099ff28443c9dedba737d89e8efabb455a0 SHA512 5bdf89fba0a0d354dbdb84bdc3f31a2cefaf3bc701989b9f413c428cb2de9e7449255c3f7ed775fccd2f2fbe3bdb3156ecfb43de5a958dedb83ba63399427569
DIST s3ql-2.28.tar.bz2 779646 BLAKE2B 3ca734d6aac9118da03566080ae46514d83829a132f57741ffc509e6dfe80a2cbbdbe93f84598302c7dbebd188bd5148eda00a6e5dae378ff91742c026c9ef63 SHA512 089d0c47d9e507aa22a162ffbcb8703188d84cbc83d73c30629897250574603edc1ebbddc81682edf2cdd42b10cc6fe55e69d71339f68bfe537f862eeadbd883
+DIST s3ql-2.32.tar.bz2 1167243 BLAKE2B 41107069e2f02b38c704e61bbd531c82fe7dde9aaf82dc6b400d27206456772fbbda41f13c3eee7d0a8eb7ae2a6855fefea3406d9295ceb309cb21317379e316 SHA512 c4c929f182ca06fea58edd26e9eb8044276af68607106bdf1df44f0eff86fa51c1d10f32a55717c300984c4d8cb956506cb195aa9e97842568934dcedff51369
diff --git a/net-fs/s3ql/s3ql-2.32.ebuild b/net-fs/s3ql/s3ql-2.32.ebuild
new file mode 100644
index 00000000000..1465df4ec78
--- /dev/null
+++ b/net-fs/s3ql/s3ql-2.32.ebuild
@@ -0,0 +1,55 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+PYTHON_COMPAT=( python3_{4,5,6} )
+
+inherit distutils-r1
+
+DESCRIPTION="A full-featured file system for online data storage"
+HOMEPAGE="https://bitbucket.org/nikratio/s3ql/"
+SRC_URI="https://www.bitbucket.org/nikratio/s3ql/downloads/${P}.tar.bz2"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="contrib doc systemd test"
+
+RDEPEND=">=dev-db/sqlite-3.7.0:3
+ dev-python/defusedxml[${PYTHON_USEDEP}]
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ >=dev-python/apsw-3.7.0[${PYTHON_USEDEP}]
+ >=dev-python/dugong-3.4[${PYTHON_USEDEP}]
+ >=dev-python/llfuse-1.0[${PYTHON_USEDEP}]
+ dev-python/pycrypto[${PYTHON_USEDEP}]
+ dev-python/requests[${PYTHON_USEDEP}]
+ sys-fs/fuse:0
+ systemd? ( dev-python/python-systemd[${PYTHON_USEDEP}] )"
+DEPEND="${RDEPEND}
+ test? (
+ dev-python/pytest[${PYTHON_USEDEP}]
+ net-misc/rsync[xattr]
+ )"
+
+RESTRICT="test"
+
+python_test() {
+ addwrite /dev/fuse
+ py.test -v tests || die "Tests fail with ${EPYTHON}"
+}
+
+python_install_all() {
+ distutils-r1_python_install_all
+
+ if use contrib ; then
+ exeinto /usr/share/doc/${PF}/contrib
+ docompress -x /usr/share/doc/${PF}/contrib
+ doexe contrib/*.{py,sh}
+ doman contrib/*.1
+ fi
+
+ if use doc ; then
+ dodoc doc/manual.pdf
+ dodoc -r doc/html
+ fi
+}